#{extends 'border.html'/}
<div class="container">
#{form @masterdata.WilayahCtr.createSubmit(), method:'POST', class:'form-horizontal'}
    
    <div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.WilayahCtr.index()}">&{'provinsi.label'}</a></li>
				<li class="active">&{'ubah.label'} &{'provinsi.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
				#{saveButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

    <div class="row">
    	<div class="col-md-12">
    		<div class="panel panel-default">
    			<div class="panel-body">
					#{alert /}
    				<div class="toolbar">
    					<!-- <a id="addInput" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'}</a> -->
    					<!-- <a id="removeAllInput" class="btn btn-danger"><i class="fa fa-trash"></i> &{'kosongkan.label'}</a> -->
    				</div>
    				<div style="overflow-x: auto">
						<table class="table table-condensed">
							<tbody id="inputForm">
								<tr>
									<td>&{'tanggal.label'}</td>
									<td>${provinsiNilai.tanggal_provinsi}</td>
								</tr>
								<tr>
									<td>&{'harga_jual.label'}</td>
									<td><input type="text" name="provinsiNilai.nilai_jual" value="${provinsiNilai.nilai_jual}"></td>
								</tr>
								<tr>
									<td>&{'harga_beli.label'}</td>
									<td><input type="text" name="provinsiNilai.nilai_beli" value="${provinsiNilai.nilai_beli}"></td>
								</tr>
							</tbody>
						</table>
					</div>
					<div style="overflow-x: auto">
						<table class="table table-condensed">
							<thead>
								<tr>
									<th width="15">&{'nomor.label'}</th>
									<th>&{'nama_provinsi.label'}</th>
								</tr>
							</thead>
							<tbody id="inputForm">
							#{if provinsiList != null}
								#{list items:provinsiList, as:'provinsi'}
									<tr>
										<td>
											<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
										</td>
										<td class="#{errorClass 'provinsi_'+provinsi_index/}">
											<input class="form-control" name="nama_provinsi_arr" value="${provinsi}"/>
											<span class="help-block">#{error 'provinsi_'+provinsi_index /}</span>
										</td>
									</tr>
								#{/list}
							#{/if}
							#{else}
								<tr>
									<td>
										<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
									</td>
									<td><input class="form-control" name="nama_provinsi_arr"/></td>
								</tr>
							#{/else}
							</tbody>
						</table>
					</div>
    			</div>
    		</div>
    	</div>
    </div>
    
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
		$("#addInput").on("click",function(){
			var str = "<tr><td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td><td><input class='form-control' name='nama_provinsi_arr'/></td></tr>";
			$("#inputForm").append(str);
		});

		$("body").on("click","#removeInput",function(){
			$(this).parent().parent().remove();
		});

		$("#removeAllInput").on("click",function(){
			$("#inputForm tr").remove();
		});
    });
</script>
#{/set}